"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Factory = void 0;
require("reflect-metadata");
/**
 * * Use a method as a factory - the method will be executed during app initialization and its return value, if valid, will be used for subsequent processes
 */
function Factory(target, key, _) {
    Reflect.defineMetadata("isFactory", true, target, key);
}
exports.Factory = Factory;
//# sourceMappingURL=Factory.js.map