"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildParamDecorator = void 0;
function buildParamDecorator(decoratorType, objectKey) {
    return function (target, key, index) {
        var _a;
        const requiredArg = {
            index,
            argModel: [
                { type: decoratorType, key: objectKey },
                ...(((_a = Reflect.getMetadata("method:param", target, key)) === null || _a === void 0 ? void 0 : _a.argModel) || []),
            ],
        };
        Reflect.defineMetadata("method:param", requiredArg, target, key);
    };
}
exports.buildParamDecorator = buildParamDecorator;
//# sourceMappingURL=buildParamDecorator.js.map