"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleMethodRequestEntry = void 0;
require("reflect-metadata");
const functionCheck_1 = require("../../utils/functionCheck");
function handleMethodRequestEntry(handlers, target, key, _) {
    if (!functionCheck_1.isFunctionTypeOnly(handlers))
        throw new Error("Only functions are to be passed in for handlers");
    const preHandlerMetaData = Object.assign(Object.assign({}, Reflect.getMetadata("route", target, key)), { preRouteHandlers: [].concat(handlers) });
    Reflect.defineMetadata("route", preHandlerMetaData, target, key);
}
exports.handleMethodRequestEntry = handleMethodRequestEntry;
//# sourceMappingURL=methodEntry.js.map