"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Component = void 0;
const Container_1 = require("../../DI/Container");
/**
 *
 * * Initializes a class as an injectable, hence allowing injection of its object as a dependency
 */
function Component() {
    return function (constructor) {
        Container_1.container.resolveInstance(constructor);
    };
}
exports.Component = Component;
//# sourceMappingURL=Component.js.map