"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnRequestEntry = void 0;
require("reflect-metadata");
const methodEntry_1 = require("../helpers/methodEntry");
const controllerEntry_1 = require("../helpers/controllerEntry");
function OnRequestEntry(handlers) {
    return function (decoratee, key, descriptor) {
        if (typeof decoratee === "function") {
            controllerEntry_1.handleControllerRequestEntry(handlers, decoratee);
        }
        else {
            methodEntry_1.handleMethodRequestEntry(handlers, decoratee, key, descriptor);
        }
    };
}
exports.OnRequestEntry = OnRequestEntry;
//# sourceMappingURL=OnRequestEntry.js.map