"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnRequestExit = void 0;
require("reflect-metadata");
const controllerExit_1 = require("../helpers/controllerExit");
const methodExit_1 = require("../helpers/methodExit");
function OnRequestExit(handlers) {
    return function (decoratee, key, descriptor) {
        if (typeof decoratee === "function") {
            controllerExit_1.handleControllerRequestExit(handlers, decoratee);
        }
        else {
            methodExit_1.handleMethodRequestExit(handlers, decoratee, key, descriptor);
        }
    };
}
exports.OnRequestExit = OnRequestExit;
//# sourceMappingURL=OnRequestExit.js.map