"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildMethodDecorator = void 0;
function buildMethodDecorator(methodType, route) {
    return function (target, key, _) {
        const routeDetails = Object.assign(Object.assign({}, Reflect.getMetadata("route", target, key)), { endPoint: route, method: methodType });
        Reflect.defineMetadata("route", routeDetails, target, key);
    };
}
exports.buildMethodDecorator = buildMethodDecorator;
//# sourceMappingURL=buildMethodDecorator.js.map