"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleMethodRequestExit = void 0;
require("reflect-metadata");
const functionCheck_1 = require("../../utils/functionCheck");
function handleMethodRequestExit(handlers, target, key, _) {
    if (!functionCheck_1.isFunctionTypeOnly(handlers))
        throw new Error("Only functions are to be passed in for handlers");
    const postHandlerMetaData = Object.assign(Object.assign({}, Reflect.getMetadata("route", target, key)), { postRouteHandlers: [].concat(handlers) });
    Reflect.defineMetadata("route", postHandlerMetaData, target, key);
}
exports.handleMethodRequestExit = handleMethodRequestExit;
//# sourceMappingURL=methodExit.js.map